Bug 1258880 - Remove @XmlRootElement annotation on top of KieServerCommand
Remove @XmlRootElement annotation on top of KieServerCommand
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Kie-Server (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ER4
: 6.2.0
Assigned To: Maciej Swiderski
Karel Suta
Depends On:
Blocks: 1258945
  Show dependency treegraph
Reported: 2015-09-01 08:56 EDT by Anton Giertli
Modified: 2016-09-20 01:07 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1258945 (view as bug list)
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Anton Giertli 2015-09-01 08:56:37 EDT
Description of problem:

KieServerCommand is an interface annotated with @XmlRootElement

This has a negative effect in following scenario.

Assume a kjar which depends on Work Item Handler jar. This WIH Jar depends on actual Service JAR, which brings kie-server-client 

Let's say that there is a WorkItem which does some operation in /kie-server, which should be valid use case.

This KJAR can't be deployed, because the engine will scan KJAR dependencies for all @XmlRootElement annotated classes, and it will instantiate JAXBContext with these.

However, JAXB Can't work with interfaces, hence the KJAR deployment will fail

"KieServerCommand is an interface, and JAXB can't handle interfaces".

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Try to deploy a KJAR which depends on kie-server-client artifact
2. The deployment will fail during the JAXBContext instantiation with the above error

Actual results:
KieServerCommand is annotated with @XmlRootElement and therefore, any KJAR depending on kie-server-client can't be deployed.

Expected results:
KJAR which depends on kie-server-client can be deployed

Additional info:
Comment 4 Karel Suta 2015-10-29 05:55:41 EDT
Verified in 6.2.0ER4.

Note You need to log in before you can comment on or make changes to this bug.